using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.AllotOrderDetail
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }


        //static void Main(string[] args)
        //{
        //    var service = new Services();
        //    //service.Init();

        //    var day = DateTime.Parse("2020-06-24");
        //    while(day<DateTime.Now)
        //    {
        //        service.GetData(day, day.AddHours(1));
        //        day = day.AddHours(1);
        //    }
        //}
    }
}
